# README

## Expanding the rootfs

```
sudo /usr/local/bin/expand-rootfs.sh
sudo systemctl reboot
```

## Notes for building your own image

1. You need the packages `appliance-tools perl-Digest-SHA pykickstart zstd` (**some packages are from the EPEL repository**).
2. You can only build `aarch64` images if your host is `aarch64`. I have not hardcoded a particular `$basearch` in the repositories

## Other

[Kickstart documentation](https://pykickstart.readthedocs.io/en/latest/kickstart-docs.html)

## Credits

- Bryan Zuelly
- Pablo Greco
- Pratham Patel
- Sherif Nagy

```
sudo nmcli con modify 'Wired connection 1' \
    ifname eth0 \
    ipv4.method manual \
    ipv4.addresses 10.0.0.170/24 \
    gw4 10.0.0.1 \
    ipv4.dns 1.1.1.1
sudo nmcli con down 'Wired connection 1' && sudo nmcli con up 'Wired connection 1'
```
