#!/usr/bin/env bash

KICKSTART_FILE='../Rocky.ks'
KICKSTART_VERSION="RHEL$(source <(grep VERSION_ID /etc/os-release) && awk -F '.' '{print $1}' <<< $VERSION_ID)"

if ! command -v ksvalidator > /dev/null; then
    >&2 echo "$0: error: unable to find command 'ksvalidator'"
    exit 1
fi

ksvalidator --followincludes --version "${KICKSTART_VERSION}" "${KICKSTART_FILE}"
